API ReferenceapiliveGET /v1/admin/sessions

GET /v1/admin/sessions

Service: live · operationId: (none)

List all sessions (admin)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) —
  • status (string) —
  • kind (string) —
  • limit (integer) —
  • cursor (string) —

Responses

200 Sessions list

{
  "type": "object",
  "properties": {
    "sessions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "host_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "kind": {
            "type": "string",
            "enum": [
              "live",
              "office_hours"
            ]
          },
          "category": {
            "type": [
              "string",
              "null"
            ]
          },
          "scheduled_at": {
            "type": "string",
            "format": "date-time"
          },
          "started_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "ended_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "live",
              "ended",
              "cancelled"
            ]
          },
          "stream_call_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "max_participants": {
            "type": "integer"
          },
          "duration_minutes": {
            "type": [
              "integer",
              "null"
            ]
          },
          "co_host_ids": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "cover_image_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "recording_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "registered_count": {
            "type": "integer"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "host_id",
          "brand_id",
          "title",
          "description",
          "kind",
          "category",
          "scheduled_at",
          "started_at",
          "ended_at",
          "status",
          "stream_call_id",
          "max_participants",
          "duration_minutes",
          "co_host_ids",
          "cover_image_url",
          "tags",
          "recording_url",
          "metadata",
          "registered_count",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "sessions"
  ]
}

Example

curl -X GET https://live.platform.loop.health/v1/admin/sessions \
  -H "Authorization: Bearer $ACCESS_TOKEN"